# Uses of Class
org.globus.rsl.NameOpValue

Packages that use NameOpValue
Package
Description
org.globus.rsl
This library provides a convenience API for creating, manipulating, and checking the validity of RSL expressions.

## Uses of NameOpValue in org.globus.rsl

Methods in org.globus.rsl that return NameOpValue
Modifier and Type
Method
Description
`NameOpValue`
NameOpValue.`evaluate(Map symbolTable)`
Evaluates the relation against the symbol table.
`abstract NameOpValue`
AbstractRslNode.`getParam(String attribute)`
Returns the relation associated with the given attribute.
`NameOpValue`
ListRslNode.`getParam(String attribute)`
Returns the relation associated with the given attribute.
`NameOpValue`
RslNode.`getParam(String attribute)`
Returns the relation associated with the given attribute.
`protected NameOpValue`
RslAttributes.`getRelation(String attribute)`
`NameOpValue`
RslNode.`put(NameOpValue relation)`
`abstract NameOpValue`
AbstractRslNode.`removeParam(String attribute)`
Removes a relation for the specified attribute.
`NameOpValue`
ListRslNode.`removeParam(String attribute)`
Removes a relation for the specified attribute.
`NameOpValue`
RslNode.`removeParam(String attribute)`
Removes a relation for the specified attribute.
Methods in org.globus.rsl with parameters of type NameOpValue
Modifier and Type
Method
Description
`abstract boolean`
AbstractRslNode.`add(NameOpValue relations)`
`boolean`
ListRslNode.`add(NameOpValue relation)`
`boolean`
RslNode.`add(NameOpValue relation)`
`NameOpValue`
RslNode.`put(NameOpValue relation)`